<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<style type="text/css">
    .bwfan_preview_email {
        background-color: #ffffff;
        padding: 20px !important;
    }

    #wpbody {
        padding-top: 0 !important;
    }
</style>
<div class="bwfan_body">
	<?php
	if ( isset( $_GET['type'] ) && 'loading' === sanitize_text_field( $_GET['type'] ) ) { // WordPress.CSRF.NonceVerification.NoNonceVerification
		esc_html_e( 'Loading ...', 'wp-marketing-automations' );
	} else {
		BWFAN_Merge_Tag_Loader::set_data( array(
			'is_preview' => true,
		) );
		$email_data                             = get_option( 'bwfan_show_preview' );
		$email_data['event_data']['event_slug'] = $email_data['event'];
		$action_object                          = BWFAN_Core()->integration->get_action( 'wp_sendemail' );
		$action_object->is_preview              = true;
		$data_to_set                            = $action_object->make_data( '', $email_data );

		ob_start();
		include BWFAN_PLUGIN_DIR . '/templates/email-styles.php';
		$css = ob_get_clean();

		$email_body = $data_to_set['body'];

		if ( BWFAN_Common::supports_emogrifier() ) {
			$emogrifier_class = '\\Pelago\\Emogrifier';
			if ( ! class_exists( $emogrifier_class ) ) {
				include_once BWFAN_PLUGIN_DIR . '/libraries/class-emogrifier.php';
			}
			try {
				$emogrifier = new $emogrifier_class( $email_body, $css );
				$email_body = $emogrifier->emogrify();
			} catch ( Exception $e ) {
				BWFAN_Core()->logger->log( $e->getMessage(), 'send_email_emogrifier' );
			}
		} else {
			$email_body = '<style type="text/css">' . $css . '</style>' . $email_body;
		}

		echo $email_body; //phpcs:ignore WordPress.Security.EscapeOutput
	}
	?>

</div>
