<?php

class BWFAN_WC_Order_Shipping_Address extends BWFAN_Merge_Tag {

	private static $instance = null;


	public function __construct() {
		$this->tag_name        = 'order_shipping_address';
		$this->tag_description = __( 'Order Shipping Address', 'wp-marketing-automations' );
		add_shortcode( 'bwfan_order_shipping_address', array( $this, 'parse_shortcode' ) );
	}

	public static function get_instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	/**
	 * Parse the merge tag and return its value.
	 *
	 * @param $attr
	 *
	 * @return mixed|string|void
	 */
	public function parse_shortcode( $attr ) {
		if ( true === BWFAN_Merge_Tag_Loader::get_data( 'is_preview' ) ) {
			return $this->get_dummy_preview();
		}

		$shipping_address = BWFAN_Merge_Tag_Loader::get_data( 'wc_order' )->get_formatted_shipping_address();
		if ( empty( $shipping_address ) ) {
			$shipping_address = $this->fallback;
		}

		return $this->parse_shortcode_output( $shipping_address, $attr );
	}

	/**
	 * Show dummy value of the current merge tag.
	 *
	 * @return string
	 */
	public function get_dummy_preview() {
		return __( 'John Marsh Ashok Nagar, Delhi 110022, India', 'wp-marketing-automations' );
	}


}

/**
 * Register this merge tag to a group.
 */
if ( bwfan_is_woocommerce_active() ) {
	BWFAN_Merge_Tag_Loader::register( 'wc_order', 'BWFAN_WC_Order_Shipping_Address' );
}